org.wildfly.swarm.config.logging

## Class PatternFormatter<T extends PatternFormatter<T>>

- java.lang.Object
- - org.wildfly.swarm.config.logging.PatternFormatter<T>

-     public class PatternFormatter<T extends PatternFormatter<T>>
      extends Object

  A pattern formatter to be used with handlers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternFormatter(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `colorMap()` The color-map attribute allows for a comma delimited list of colors to be used for different levels with a pattern formatter.
    `T` | `colorMap(String value)` The color-map attribute allows for a comma delimited list of colors to be used for different levels with a pattern formatter.
    `String` | `getKey()`
    `String` | `pattern()` Defines a pattern for the formatter.
    `T` | `pattern(String value)` Defines a pattern for the formatter.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternFormatter

          public PatternFormatter(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### colorMap

          public String colorMap()

      The color-map attribute allows for a comma delimited list of colors to be used for different levels with a pattern formatter. The format for the color mapping pattern is level-name:color-name.Valid Levels; severe, fatal, error, warn, warning, info, debug, trace, config, fine, finer, finest Valid Colors; black, green, red, yellow, blue, magenta, cyan, white, brightblack, brightred, brightgreen, brightblue, brightyellow, brightmagenta, brightcyan, brightwhite

    - #### colorMap

          public T colorMap(String value)

      The color-map attribute allows for a comma delimited list of colors to be used for different levels with a pattern formatter. The format for the color mapping pattern is level-name:color-name.Valid Levels; severe, fatal, error, warn, warning, info, debug, trace, config, fine, finer, finest Valid Colors; black, green, red, yellow, blue, magenta, cyan, white, brightblack, brightred, brightgreen, brightblue, brightyellow, brightmagenta, brightcyan, brightwhite

    - #### pattern

          public String pattern()

      Defines a pattern for the formatter.

    - #### pattern

          public T pattern(String value)

      Defines a pattern for the formatter.

Copyright © 2017 JBoss by Red Hat. All rights reserved.